Platinumprofitzone Turnkey eBook Store 'index.php'脚本跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1117533 漏洞类型 跨站脚本
发布时间 2009-03-31 更新时间 2009-04-15
CVE编号 CVE-2009-1225 CNNVD-ID CNNVD-200904-037
漏洞平台 PHP CVSS评分 4.3
|漏洞来源
https://www.exploit-db.com/exploits/32880
https://www.securityfocus.com/bid/34324
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200904-037
|漏洞详情
TurnkeyEbookStore1.1版本中的index.php存在跨站脚本攻击漏洞。远程攻击者可以借助搜索操作中的关键词参数,注入任意的web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/34324/info

Turnkey eBook Store is prone to a cross-site scripting vulnerability.

An attacker may leverage this issue to execute arbitrary script code in the browser of an unsuspecting user in the context of the affected site and to steal cookie-based authentication credentials.

Turnkey eBook Store 1.1 is vulnerable; other versions may also be affected.

http://www.example.com/index.php?cmd=search&keywords="><script>alert('XSS')</script>
http://www.example.com/index.php?cmd=search&keywords=<META HTTP-EQUIV="refresh" content="0; URL=http://www.example2.net">
|受影响的产品
Turnkey eBook Store Turnkey eBook Store 1.1
|参考资料

来源:SECUNIA
名称:34533
链接:http://secunia.com/advisories/34533
来源:MISC
链接:http://packetstorm.linuxsecurity.com/0903-exploits/turnkeyebook-xss.txt